Pod(3)

NAME
Gimp::Pod - Evaluate pod documentation embedded in scripts.

SYNOPSIS
  use Gimp::Pod;
  $pod = new Gimp::Pod;
  $text = $pod->format ();
  $html = $pod->format ('html');
  $synopsis = $pod->section ('SYNOPSIS');
  $author = $pod->author;
  @sections = $pod->sections;

DESCRIPTION
"Gimp::Pod" can be used to find and parse embedded pod documentation in gimp-perl scripts. At the moment only the formatted text can be fetched, future versions might have more interesting features.

METHODS

new return a new Gimp::Pod object representing the current script or undef, if an error occured.

format([$format])
    Returns the embedded pod documentation in the given format, or undef if no documentation can be found. Format can be one of 'text', 'html', 'man' or 'latex'. If none is specified, 'text' is assumed.

section($header)
    Tries to retrieve the section with the header "$header". There is no trailing newline on the returned string, which may be undef in case the section can't be found.

author
blurb
description
copyright
    Tries to retrieve fields suitable for calls to the register function.

sections
    Returns a list of paragraphs found in the pod.

AUTHOR
Marc Lehmann <pcg@goof.com>

SEE ALSO
perl(1), Gimp(1),